commit:     4e02c230b4bc46fae41ab902d9b18beb8022c858
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Fri Apr 30 11:17:50 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Fri Apr 30 11:18:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4e02c230

dev-dotnet/dotnet-sdk-bin: initial import

Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-dotnet/dotnet-sdk-bin/Manifest                 |  3 +
 .../dotnet-sdk-bin/dotnet-sdk-bin-5.0.202.ebuild   | 65 ++++++++++++++++++++++
 dev-dotnet/dotnet-sdk-bin/metadata.xml             |  8 +++
 3 files changed, 76 insertions(+)

diff --git a/dev-dotnet/dotnet-sdk-bin/Manifest 
b/dev-dotnet/dotnet-sdk-bin/Manifest
new file mode 100644
index 000000000..fed144e93
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/Manifest
@@ -0,0 +1,3 @@
+DIST dotnet-sdk-5.0.202-linux-arm.tar.gz 136556882 BLAKE2B 
b56fd9e28fae720ebc3e667820f7cb37afdf7353688a3595f3f42ad9f2980c7bc0cbfe886efa66da25c6bbf7f69d5401880ac589669ab4576e32b4fb61bdbc61
 SHA512 
ac363bbc163100e49b2ad43dfded9bdd3444980d9dca1b51bcd65d6fab73a5fc2251f094fd5e6fa1c1c877251b2f26c684023c0e1b09d1956b9bb543f72c4f0b
+DIST dotnet-sdk-5.0.202-linux-arm64.tar.gz 134677034 BLAKE2B 
059cf0db945d801c17563f72adc22c8f9ed68e510f43995ac4c36b1e28239a90eccf45d467c4d7ab0587b76f12794d241aa32174ba7fe626a0d003d446007dd8
 SHA512 
26ec125a0637e71acad20386474df89a101e9ae948921b5de0cd343f4bc0e84b4e7b2318e15978723eb3b9d321e89b790c3f0424a43c29b0015fc6f2b9e3e9d9
+DIST dotnet-sdk-5.0.202-linux-x64.tar.gz 140180468 BLAKE2B 
cbdc6ff24baff47dead2f6e2cc46b11527630a4481dbea2241c205bfd065032a97e9367678d1f0520ea2858f87f2f1f0f5d4872e8c442b375b1c09efae6cc596
 SHA512 
01ed59f236184987405673d24940d55ce29d830e7dbbc19556fdc03893039e6046712de6f901dc9911047a0dee4fd15319b7e94f8a31df6b981fa35bd93d9838

diff --git a/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-5.0.202.ebuild 
b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-5.0.202.ebuild
new file mode 100644
index 000000000..83bc828f2
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-5.0.202.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION=".NET SDK (includes runtime + aspnet)"
+HOMEPAGE="https://dotnet.microsoft.com/";
+SRC_URI="
+       amd64? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-x64.tar.gz
 )
+       arm? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm.tar.gz
 )
+       arm64? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm64.tar.gz
 )
+"
+
+LICENSE="MIT"
+SLOT="5.0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+# The SDK includes dotnet-runtime-bin and dotnet-aspnet-bin,
+#  so prevent installing them at the same time
+RDEPEND="
+       app-crypt/mit-krb5
+       !dev-dotnet/dotnet-aspnet-bin
+       !dev-dotnet/dotnet-runtime-bin
+       ~dev-dotnet/dotnet-sdk-bin-common-${PV}
+       dev-libs/icu
+       dev-util/lldb
+       dev-util/lttng-ust
+       net-misc/curl
+       sys-apps/lsb-release
+       sys-devel/llvm
+       sys-libs/zlib
+       || (
+               dev-libs/openssl
+               dev-libs/openssl-compat
+       )
+       || (
+               sys-libs/libunwind
+               sys-libs/llvm-libunwind
+       )
+"
+
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+
+src_prepare() {
+       # For current .NET versions, all the directories contain versioned 
files,
+       # but the top-level files (the dotnet binary for example) are shared 
between versions,
+       # and those are backward-compatible.
+       # The exception from this above rule is packs/NETStandard.Library.Ref 
which is shared between >=3.0 versions.
+       # These common files are installed by the non-slotted 
dev-dotnet/dotnet-sdk-bin-common
+       # package, while the directories are installed by 
dev-dotnet/dotnet-sdk-bin which uses
+       # slots depending on major .NET version.
+       # This makes it possible to install multiple major versions at the same 
time.
+       default
+
+       # Skip the common files
+       find . -maxdepth 1 -type f -exec rm -f {} \; || die
+       rm -rf ./packs/NETStandard.Library.Ref || die
+}
+
+src_install() {
+       insinto /opt/dotnet
+       doins -r "${S}/."
+}

diff --git a/dev-dotnet/dotnet-sdk-bin/metadata.xml 
b/dev-dotnet/dotnet-sdk-bin/metadata.xml
new file mode 100644
index 000000000..17cfe1629
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Theo Anderson</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to